C# 클래스 Revit.SDK.Samples.PlaceFamilyInstanceByFace.CS.FamilyInstanceCreator

This is main data class for creating family Instance by face
파일 보기 프로젝트 열기: AMEE/revit 1 사용 예제들

공개 메소드들

메소드 설명
CheckFamilySymbol ( BasedType type ) : void

1. Find all family symbols in current Revit document and store them 2. Find the index of default family symbol Point("Point-based"); Line("Line-based")

CheckSelectedElementSet ( ) : bool

Judge whether the selected elementSet has face geometry

CreateLineFamilyInstance ( Autodesk startP, Autodesk endP, int faceIndex, int familySymbolIndex ) : bool

Create a based-line family instance by face

CreatePointFamilyInstance ( Autodesk locationP, Autodesk directionP, int faceIndex, int familySymbolIndex ) : bool

Create a based-point family instance by face

FamilyInstanceCreator ( Autodesk app ) : System

Constructor, Store the Revit application

GetFaceBoundingBox ( int indexFace ) : BoundingBoxXYZ

Get the bounding box of a face, the BoundingBoxXYZ will be set in UI as default value

비공개 메소드들

메소드 설명
CheckSelectedElement ( Autodesk.Revit.DB.Element elem ) : bool

Judge whether an element has face geometry

InquireGeometry ( Autodesk.Revit.DB.GeometryElement geoElement, Autodesk.Revit.DB.Element elem ) : bool

Inquire an geometry element to get all face instances

Project ( List xyzArray, Autodesk point ) : Autodesk.Revit.DB.XYZ

Project a point on a face

메소드 상세

CheckFamilySymbol() 공개 메소드

1. Find all family symbols in current Revit document and store them 2. Find the index of default family symbol Point("Point-based"); Line("Line-based")
public CheckFamilySymbol ( BasedType type ) : void
type BasedType
리턴 void

CheckSelectedElementSet() 공개 메소드

Judge whether the selected elementSet has face geometry
public CheckSelectedElementSet ( ) : bool
리턴 bool

CreateLineFamilyInstance() 공개 메소드

Create a based-line family instance by face
public CreateLineFamilyInstance ( Autodesk startP, Autodesk endP, int faceIndex, int familySymbolIndex ) : bool
startP Autodesk the start point
endP Autodesk the end point
faceIndex int the index of the selected face
familySymbolIndex int the index of the selected family symbol
리턴 bool

CreatePointFamilyInstance() 공개 메소드

Create a based-point family instance by face
public CreatePointFamilyInstance ( Autodesk locationP, Autodesk directionP, int faceIndex, int familySymbolIndex ) : bool
locationP Autodesk the location point
directionP Autodesk the direction
faceIndex int the index of the selected face
familySymbolIndex int the index of the selected family symbol
리턴 bool

FamilyInstanceCreator() 공개 메소드

Constructor, Store the Revit application
public FamilyInstanceCreator ( Autodesk app ) : System
app Autodesk
리턴 System

GetFaceBoundingBox() 공개 메소드

Get the bounding box of a face, the BoundingBoxXYZ will be set in UI as default value
public GetFaceBoundingBox ( int indexFace ) : BoundingBoxXYZ
indexFace int the index of face
리턴 BoundingBoxXYZ